Bug 453082 - Review Request: python-dtopt - Add options to doctest examples while they are running
Review Request: python-dtopt - Add options to doctest examples while they are...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 455111
  Show dependency treegraph
 
Reported: 2008-06-27 02:41 EDT by Ricky Zhou
Modified: 2008-08-06 13:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-15 21:07:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ricky Zhou 2008-06-27 02:41:09 EDT
Spec URL: http://ricky.fedorapeople.org/pkgs/python-dtopt/python-dtopt.spec
SRPM URL: http://ricky.fedorapeople.org/pkgs/python-dtopt/python-dtopt-0.1-2.fc9.src.rpm
Description:
dtopts adds options to doctest examples while they are running. When 
using the doctest module it is often convenient to use the ELLIPSIS 
option, which allows you to use ... as a wildcard. But you either have 
to setup the test runner to use this option, or you must put #doctest:
+ELLIPSIS on every example that uses this feature. dtopt lets you enable
this option globally from within a doctest, by doing: 
>>> from dtopt import ELLIPSIS
Comment 1 Jason Tibbitts 2008-06-27 12:59:45 EDT
Builds fine, rpmlint is silent.

I admit to not being able to understand anything at all about the summary or
even the description, I can't even understand enough of them to suggest
improvements.  I suppose someone who knows something of the subject matter would
understand them, but I would suggest trying to make it a little more readable if
you can.  I guess my issue is that %description seems more like the
documentation for the package instead of a short overview of what it does.

Still, perhaps I'm just daft, and the packaging itself looks fine.

* source files match upstream:
   06ae07a12294a7ba708abaa63f838017d1a2faf6147a1e7a14ca4fa28f86da7f  
   dtopt-0.1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   python-dtopt = 0.1-2.fc10
  =
   python(abi) = 2.5

* %check is not present; no test suite upstream.  I've no idea how to test this.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Ricky Zhou 2008-07-11 19:20:19 EDT
Thanks!  I wasn't sure how to simplify the description, because that's pretty
much all it does (allow you to use ELLIPSIS and other options without #doctest:
+ELLIPSIS, etc. in tests). 

New Package CVS Request
=======================
Package Name: python-dtopts
Short Description: Add options to doctest examples while they are running
Owners: ricky
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-07-12 14:16:59 EDT
cvs done.
Comment 4 Ricky Zhou 2008-07-12 15:44:34 EDT
Sorry - another stupid mistake on my part - it should be python-dtopt (no s). 
I've already changed it in pkgdb, so just the CVS part of
https://fedoraproject.org/wiki/Infrastructure/SOP/PackageDB#Renaming_a_package
should be required.  

Thanks!
Comment 5 Kevin Fenzi 2008-07-13 15:13:56 EDT
This looks to be all done. Let me know if there is further action required. 
Comment 6 Fedora Update System 2008-07-13 16:11:33 EDT
python-dtopt-0.1-2.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-07-15 08:19:39 EDT
python-dtopt-0.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Ricky Zhou 2008-07-15 21:07:00 EDT
Weird, that should have closed this bug - closing manually.
Comment 9 Ricky Zhou 2008-08-05 13:43:40 EDT
Package Change Request
======================
Package Name: python-dtopt
New Branches: EL-4 EL-5
Comment 10 Kevin Fenzi 2008-08-06 13:44:56 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.